com.fasterxml.jackson.databind.deser.impl

## Class ObjectIdReader

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ObjectIdReader

All Implemented Interfaces:
  Serializable

    public final class ObjectIdReader
    extends Object
    implements Serializable

Object that knows how to serialize Object Ids.

See Also:
  Serialized Form

### Field Summary

Fields
`JsonDeserializer<Object>` `deserializer` Deserializer used for deserializing id values.
`ObjectIdGenerator<?>` `generator` Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.
`SettableBeanProperty` `idProperty`
`JavaType` `idType`
`String` `propertyName`

### Constructor Summary

Constructors
`protected` `ObjectIdReader(JavaType t, String propName, ObjectIdGenerator<?> gen, JsonDeserializer<?> deser, SettableBeanProperty idProp)`

### Method Summary

Methods
`static ObjectIdReader` `construct(JavaType idType, String propName, ObjectIdGenerator<?> generator, JsonDeserializer<?> deser, SettableBeanProperty idProp)` Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### idType

    public final JavaType idType

#### propertyName

    public final String propertyName

#### generator

    public final ObjectIdGenerator<?> generator

Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.

#### deserializer

    public final JsonDeserializer<Object> deserializer

Deserializer used for deserializing id values.

#### idProperty

    public final SettableBeanProperty idProperty

### Constructor Detail

#### ObjectIdReader

    protected ObjectIdReader(JavaType t,
                  String propName,
                  ObjectIdGenerator<?> gen,
                  JsonDeserializer<?> deser,
                  SettableBeanProperty idProp)

### Method Detail

#### construct

    public static ObjectIdReader construct(JavaType idType,
                           String propName,
                           ObjectIdGenerator<?> generator,
                           JsonDeserializer<?> deser,
                           SettableBeanProperty idProp)

Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.